/*-
 * ============LICENSE_START=======================================================
 * SDC
 * ================================================================================
 * Copyright (C) 2017 AT&T Intellectual Property. All rights reserved.
 * ================================================================================
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ============LICENSE_END=========================================================
 */

import {Component, ViewChild, ElementRef, ContentChildren, Input} from '@angular/core';
import { BrowserModule } from '@angular/platform-browser'
import { UiElementBase, UiElementBaseInterface } from './../ui-element-base.component';

@Component({
    selector: 'ui-element-input',
    templateUrl: './ui-element-input.component.html',
    styleUrls: ['./ui-element-input.component.less'],
})
export class UiElementInputComponent extends UiElementBase implements UiElementBaseInterface {
    constructor() {
        super();
        this.pattern = this.validation.validationPatterns.comment;
    }

    onSave() {
        if (!this.control.invalid){
            this.baseEmitter.emit(this.value);
        }
    }
}
